import org.w3c.dom.Element;
import org.w3c.dom.Document;

public class EncryptedData
{
   private WSSMessage wssMessage = null;
   private Document parentDocument = null;

   public EncryptedData (
               Element encryptedDataElement,
               String wsuEncryptedElementId,
               Token token,
               WSSMessage wssMessage
               ) {

        this.wssMessage = wssMessage;
        this.parentDocument = encryptedDataElement.getOwnerDocument();

   }//Constructor


   public WSSMessage getParentWSSMessage()
   {
        return wssMessage;
   }//getParentWSSMessage


   public Document getDocument() {
        return parentDocument;
   }//getDocument


}//EncryptedData